octo = require 'octo.io'
assert = require 'assert'

out = (require 'styout').instance 'octo.io'
out.verbosity = out.DEBUG_VERBOSITY

octo.scan './',
  ignoreFiles: 'package.json'
  fileFound: (filePath, {root, relPath}) ->
      out "fileFound: <b>#{relPath}</b>"
      assert.equal root, '.'
  dirFound: (filePath, {root, relPath}) ->
      out "dirFound: <b>#{relPath}</b>"
      assert.equal root, '.'
  scanComplete: ({root}) ->
      out "Finished scanning <b>#{root}</b>"